import { QuickSearchWidget as QuickSearchWidget$1 } from '@recombee/quick-search-widget-react';
export * from '@recombee/quick-search-widget-react';
import { createElement } from 'react';
import { createRoot } from 'react-dom/client';
export * from 'htm/react';

/**
 * # Quick Search Widget (JS)
 *
 * > {{> libraryTypeDescription_Vanilla}} {{> libraryDescription_QuickSearch}}
 *
 * {{> libraryTypeUsage_Vanilla}}
 *
 * {{> preStableReleaseDisclaimer}}
 *
 * {{> widgetIntallationSectionDefault packageName="@recombee/quick-search-widget-js" }}
 *
 * {{> widgetClientInitializationSectionDefault }}
 *
 * ## Basic Example {#basic-example}
 *
 * {{> basicExampleCommonContent }}
 *
 * @example
 *
 * {@includeExample ../examples/basic-example}
 *
 * ## Custom Template {#custom-template}
 *
 * @example
 *
 * {@includeExample ../examples/custom-template}
 *
 * ## Batch Request {#batch-request}
 *
 * To fetch results from multiple Scenarios, such as segments in addition to items, use Batch
 * request.
 *
 * @example
 *
 * {@includeExample ../examples/multiple-requests}
 *
 * @public
 * @packageDocumentation
 */
/** End packageDocumentation */
const roots = new WeakMap();
/**
 * Quick Search widget
 *
 * @public
 */
const QuickSearchWidget = ({ container, ...props }) => {
    if (typeof document === 'undefined')
        return null;
    const containerElement = document.querySelector(container);
    if (containerElement) {
        let root = roots.get(containerElement);
        if (!root) {
            root = createRoot(containerElement);
            roots.set(containerElement, root);
        }
        const widgetElement = createElement(QuickSearchWidget$1, props);
        root.render(widgetElement);
    }
};

export { QuickSearchWidget };
